GatewayEvent (Apache Geode 1.12.4)
Date: 2021-07-21

org.apache.geode.cache.util

## Interface GatewayEvent

- Deprecated.
  as of GemFire 8.0. Use `GatewayQueueEvent` instead

      @Deprecated
      public interface GatewayEvent

  Interface `GatewayEvent` represents `Cache` events delivered to `Gateway`s.
  Since:
    GemFire 5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCallbackArgument()` Deprecated. Returns the callbackArgument associated with this event.
    `long` | `getCreationTime()` Deprecated. Returns the creation timestamp in milliseconds.
    `Object` | `getDeserializedValue()` Deprecated. Returns the deserialized value associated with this event.
    `Object` | `getKey()` Deprecated. Returns the key associated with this event.
    `Operation` | `getOperation()` Deprecated. Returns the `Operation` that triggered this event.
    `boolean` | `getPossibleDuplicate()` Deprecated. Returns whether this event is a possible duplicate.
    `Region<?,?>` | `getRegion()` Deprecated. Returns the `Region` associated with this `GatewayEvent`.
    `byte[]` | `getSerializedValue()` Deprecated. Returns the serialized form of the value associated with this event.
    `void` | `setPossibleDuplicate(boolean possibleDuplicate)` Deprecated. Sets whether this event is a possible duplicate.

- - ### Method Detail

    - #### getRegion

          Region<?,?> getRegion()

      Deprecated.
      Returns the `Region` associated with this `GatewayEvent`.
      Returns:
        the `Region` associated with this `GatewayEvent`

    - #### getOperation

          Operation getOperation()

      Deprecated.
      Returns the `Operation` that triggered this event.
      Returns:
        the `Operation` that triggered this event

    - #### getCallbackArgument

          Object getCallbackArgument()

      Deprecated.
      Returns the callbackArgument associated with this event.
      Returns:
        the callbackArgument associated with this event

    - #### getKey

          Object getKey()

      Deprecated.
      Returns the key associated with this event.
      Returns:
        the key associated with this event

    - #### getDeserializedValue

          Object getDeserializedValue()

      Deprecated.
      Returns the deserialized value associated with this event.
      Returns:
        the deserialized value associated with this event

    - #### getSerializedValue

          byte[] getSerializedValue()

      Deprecated.
      Returns the serialized form of the value associated with this event.
      Returns:
        the serialized form of the value associated with this event

    - #### setPossibleDuplicate

          void setPossibleDuplicate(boolean possibleDuplicate)

      Deprecated.
      Sets whether this event is a possible duplicate.
      Parameters:
        `possibleDuplicate` - whether this event is a possible duplicate

    - #### getPossibleDuplicate

          boolean getPossibleDuplicate()

      Deprecated.
      Returns whether this event is a possible duplicate.
      Returns:
        whether this event is a possible duplicate

    - #### getCreationTime

          long getCreationTime()

      Deprecated.
      Returns the creation timestamp in milliseconds.
      Returns:
        the creation timestamp in milliseconds
      Since:
        GemFire 6.0